> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-8/v8-0-1-76533.md).

# Version 8.0.1.76533 Changelog (October 26th, 2020)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

* Version: 8.0.1.76533
* Release Date: October 26th, 2020
* Built with Xcode 12.0.1 (12A7300)

## Annotation Improvements

* It is now possible to scroll and zoom using two fingers, making concurrent annotating and viewing a seamless experience.
* Free-text improvements: - When editing a text annotation, its bounding box will automatically grow to accomodate the new text. - Tapping on a selected text annotation will enter edit mode.
  * There is a new keyboard accessory view that allows convenient access to changing the font face, size and color.

![](https://4149080208-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgY6xtY9ZQd9XMpvWlGM0%2Fuploads%2Fgit-blob-e5d179a228ff3170f34929017f525b6b770fc85e%2F3f792ee1d95ef0337ec590bbfe7c9806a63802ed-828x1792.png?alt=media)

* PencilKit annotations that include only highlight annotations are now multiply-blended with the document (as opposed to alpha-blended), giving them an appearance that more accurately resembles a real-life highlighter. This behavior can be toggled using the [`pencilHighlightMultiplyBlendModeEnabled`](https://sdk.apryse.com/api/ios/Classes/PTToolsSettingsManager.html#/c:objc\(cs\)PTToolsSettingsManager\(py\)pencilHighlightMultiplyBlendModeEnabled) property on the `PTToolsSettingsManager` class.

| Highlight Blending Disabled                                                                                                                                                                                                                      | Highlight Blending Enabled                                                                                                                                                                                                                       |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| ![](https://4149080208-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgY6xtY9ZQd9XMpvWlGM0%2Fuploads%2Fgit-blob-003e5d8af93123ae28e3071747821ee5f890a73a%2F6a7f06f9abb444c626ccb448238de0d9d698fa13-828x1792.png?alt=media) | ![](https://4149080208-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgY6xtY9ZQd9XMpvWlGM0%2Fuploads%2Fgit-blob-ff151d3e7d8dadd3827b9686b7fe493052beb5f3%2F1396424dba889d467d928bd33b0209c70ca50665-828x1792.png?alt=media) |

## More Improvements

* When viewing a PDF in horizontal scrolling mode, the page will be scaled down so that the entire page is visible. This behavior can be controlled via the `pageFitsBetweenBars` property on the `PTDocumentBaseViewController` class.
* This release turns on color management by default, using a new highly accurate CMYK color profile. This will ensure CMYK color space PDFs are displayed with accurate colors, at the cost of very slightly slower rendering. If desired, this can be turned off with [`PTPDFNet.setColorManagement(e_ptno_cms.rawValue)`](https://sdk.apryse.com/api/ios/Classes/PTPDFNet.html#/c:objc\(cs\)PTPDFNet\(cm\)SetColorManagement:).
* Numeric and date form fields will now automatically show a numeric or date picking keyboard. Numeric fields restrict input to numeric characters.

## Changed

* The PTDocument(View)Controller now defaults to use a [`pageRefViewMode`](https://sdk.apryse.com/api/ios/Classes/PTPDFViewCtrl.html#/c:objc\(cs\)PTPDFViewCtrl\(py\)pageRefViewMode) of [`e_trn_zoom`](https://sdk.apryse.com/api/ios/Enums/TrnPageViewMode.html). The effect of this is that when swiping between pages horizontally, the next page will come in at the current page’s zoom level.

## Bug fixes

* Annotations are again selectable by tapping on them while using an annotation creation tool.
* PencilKit annotations are functional on iPhones running iOS 14.
* Multi-stroke annotations are saved on app background, tab switch, and tab close when the user does not finish the annotation.
* The navigation bar and associated toolbars will no longer be shown in certain circumstances when they should not have been.
* [`pageRefViewMode`](https://sdk.apryse.com/api/ios/Classes/PTPDFViewCtrl.html#/c:objc\(cs\)PTPDFViewCtrl\(py\)pageRefViewMode) of [`e_trn_zoom`](https://sdk.apryse.com/api/ios/Enums/TrnPageViewMode.html) works as expected.
* A slight pause when creating an annotation has been eliminated.
* Ellipse annotations are again shown in the annotations list.
* Editing a PencilKit annotation will show the control bars so that the edit may be completed.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/changelogs/version-8/v8-0-1-76533.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
